* { box-sizing: border-box; outline: 0; }

body {
    background-image: url(https://upload.wikimedia.org/wikipedia/commons/thumb/8/80/Atom_editor_logo.svg/1118px-Atom_editor_logo.svg.png);
    background-size: auto;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;

    max-width: 1200px;
    margin: 0 auto;
}

.container {
    display: flex;
    align-content: center;
}

#grid {
    display: grid;
    grid-template: repeat(10, 60px) / repeat(18, 60px);
    font-family: 'Roboto', sans-serif;
    margin: 2em auto;
}

#grid > .el {
    display: flex;
    flex-direction: column;
    padding: 3px;
}

#grid > .el .weight {
    padding-left: 3px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: right;
}

#grid > .el .weight,
#grid > .el .atomic { font-size: small; }

#grid > .el .letter {
    font-weight: bold;
    flex: 1;
    align-items: center;
    align-self: center;
    display: flex;
}

.color-1 { background: #da627d; }
.color-2 { background: #e4dfda; }
.color-3 { background: #c9daea; }
.color-4 { background: #06d6a0; }
.color-5 { background: #ffc43d; }
.color-6 { background: #48a9a6; }
.color-7 { background: #25ced1; }
.color-8 { background: #4357ad; }
.color-9 { background: #7a306c; color: rgba(255,255,255,.8); }
.color-10 { background: #ab2346; color: rgba(255,255,255,.8); }

@media only screen and (max-width: 1199px) {
    #grid {
        max-width: 100%;
        grid-template: repeat(10, 60px) / repeat(18, calc(100% / 18));
    }
}

@media only screen and (max-width: 899px) {
    #grid {
        font-size: small;
    }

    #grid > .el .atomic,
    #grid > .el .weight { font-size: smaller; }
}

@media only screen and (max-width: 449px) {
    #grid {
        margin: 0;
        width: 100%;
        grid-template-columns: repeat(1, 100%);
        grid-template-rows: repeat(119, 60px);
        font-size: initial;
    }

    #grid > .el .atomic,
    #grid > .el .weight { font-size: small; }

    #grid > .el {
        grid-column-start: 1 !important;
        grid-column-end: 2 !important;
        grid-row-start: auto !important;
        grid-row-end: auto !important;
    }
}